

<div class="flex flex-column">

    <div style="border: 0px solid black;height: 300px;width: 100%; background-color: rgb(161, 185, 232);" class="">
 


        <canvas-whiteboard width="100%" height="100%" class="bg-rose-100" #canvas [options]="canvasOptions"
            [drawButtonClass]="'drawButtonClass fa fa-pencil'"
            [clearButtonClass]="'clearButtonClass fa fa-circle-xmark'"
            [undoButtonClass]="'undoButtonClass fa-solid fa-rotate-left'" [undoButtonEnabled]="true"
            [redoButtonClass]="'redoButtonClass fa-solid fa-rotate-right'" [redoButtonEnabled]="true"
            [saveDataButtonClass]="'saveDataButtonClass fa-solid fa-floppy-disk'" [strokeColorPickerText]="'สี'"
            [strokeColorPickerEnabled]="true" [lineWidth]="2" [strokeColor]="'rgb(255,0,0)'" (onClear)="onCanvasClear()"
            (onUndo)="onCanvasUndo($event)" (onSave)="handleSave($event)">
        </canvas-whiteboard>
    </div>
</div>
<!-- <p>xxxx</p>
<p>xxxx</p>
<div class="flex flex-column justify-content-center justify-center  tw-cursor-pointer tw-z-40">
    <div><i class="pi pi-wave-pulse" style="color: green"></i> </div>
    <div class="flex justify-content-center justify-center">
        <button pButton pRipple type="button" icon="pi pi-save"
            class="p-button-rounded tw-bg-slate-100 p-4 tw-cursor-pointer hover:bg-yellow-200 hover:p-6 tw-mt-15"
            (click)="sendDataToParent('Hello from child')" style="color: green">
        </button>



    </div>
</div> -->


<!-- [saveDataButtonEnabled]="true" -->